from superdice.libs.diceConfigs import configFile
from superdice.superdice import registerRoll, unregisterRoll

def es_map_start(ev):
    cfgData.execute()

def unload():
    unregisterRoll(diceRoll)

def diceRoll(userid, player, eplayer):
    eplayer.gravity += float(gravitygain)

cfgData = configFile('dice_highgrav')
gravitygain = cfgData.cvar('superdice_cfg_highgrav_gravity', 0.4, 'How much gravity does the player gain?')
cfgData.write()
cfgData.execute()

registerRoll(diceRoll, 'Higher Gravity', 'Gain gravity.')
